Name:           zaz
Version:        1.0.0
Release:        %mkrel 10
Summary:        A puzzle game where the player has to arrange balls in triplets
Group:          Games/Arcade
# Music released under CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            https://sourceforge.net/projects/zaz/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		zaz-1.0.0-vorbis.patch
Patch1:		zaz-autoconf.patch
BuildRequires: libMesaGL-devel
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(theora)
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(ftgl)
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel

%description
Zaz is an arcade action puzzle game where the goal is to get rid of all
incoming balls by rearranging their order and making triplets. It currently
includes 6 different levels. The game's name is recursive and stands for
"Zaz ain't Z".

A 3D accelerator is needed for decent gameplay.

%prep
%setup -q
%autopatch -p1

# Fix permissions
chmod 644 src/*.{cpp,h}

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# Symlink system fonts
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/data/FreeMonoBold.ttf
#ln -s %{_datadir}/fonts/gnu-free/FreeMonoBold.ttf \
#    $RPM_BUILD_ROOT%{_datadir}/%{name}/data/FreeMonoBold.ttf
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
#ln -s %{_datadir}/fonts/gnu-free/FreeSans.ttf \
#   $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
#m $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf
#n -s %{_datadir}/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf \
#   $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf

# Remove docs
rm -r $RPM_BUILD_ROOT/usr/share/doc/

# Fix desktop file
desktop-file-install \
   --delete-original \
   --add-category LogicGame \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
#{_datadir}/%{name}/FreeMonoBold.ttf
#{_datadir}/%{name}/FreeSans.ttf
%doc AUTHORS ChangeLog COPYING data/copyright.txt


%changelog
* Thu Nov 05 2020 wally <wally> 1.0.0-10.mga8
+ Revision: 1642935
- fix build with autoconf 2.69d
- clean description a bit
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-9.mga8
+ Revision: 1519115
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1302038
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 936401
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 748344
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 690859
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 pterjan <pterjan> 1.0.0-4.mga5
+ Revision: 650324
- Fix build

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 520904
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 387660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 kamil <kamil> 1.0.0-2.mga3
+ Revision: 329451
- clean .spec
- imported package zaz


* Wed Nov 16 2011 Sergey Zhemoitel <serg@mandriva.org> 1.0.0-1mdv2012.0
+ Revision: 730828
- imported package zaz

